Subject: Status of Thunderbird work

From: Jeremy White <[email-masked]>
Date: Thu, 12 Feb 2009 10:09:04 -0600

Okay, I am now done with the due diligence I felt I had to do as
penance for sending 14 wrapped and flowed patches to the wine-devel
mailing list :-/.

To summarize, I have:
  1.  Submitted a patch that,imho, improves the git documentation
      on this subject.
  2.  Revised a Mozillazine KB Entry to hopefully help others:
      http://kb.mozillazine.org/Plain_text_e-mail_-_Thunderbird#Completely_plain_email
  3.  Submitted a patch that implements Ben's suggestion to use <pre>
      and ctype of html to trick Thunderbird into doing the right thing.
  4.  Submitted a patch to allow attach to be the default for git-format-patch.

I am not wedded to #3 and #4; in fact, I'm about to go revise the Wine Git
instructions to make it clear that --attach is a last resort, and not a preferred
choice (the current Wine Wiki makes --attach look more preferable than it really is).

If the html patch went in, I would use it, chortling with evil glee
each time I did so.

Additionally, Dscho has written a Thunderbird extension to facilitate
sending patches.  That doesn't fit my ideal flow (I'm actually quite fond
of git-imap-send :-/), but Michael Gruber seemed interested and he and
Dscho may take it somewhere.

Finally, Michael also communicated in a private email that he may
consider some sort of rethink around git-send-email and git-imap-send,
which sounded intriguing to me, but way past my fair penance.

Now to go send some more sick and twisted patches to wine-devel... <grin>.

Cheers,

Jeremy

p.s.  My apologies for the duplicate patch #1; I thought the from @winehq.org
email wasn't going through, and resent from my subscribed email.  I would
like to sing the praises of list moderators everywhere.